#include <bits/stdc++.h>

using namespace std;

int c[11];

int main()
{
	int n;
	cin>>n;
	int a[n];
	
	c[10] = -1;
	for(int i = 0;i<n;i++)
	{
		cin>>a[i];
		c[a[i]]++;
	}
	for(int i = 0;i<n;i++)
	{
		if(c[a[i]+1] > 0)
		{
			for(int j = n-1;j>i;j--)
			{
				if(a[j] = a[i] + 1)
				{
					swap(a[i],a[j]);
					break;
				}
			}
			break;
		}
	}
	for(int i = 0;i<n;i++)
	{
		cout<<a[i]<<" ";
	}
}